libwps_tools_win Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Functions
libwps_tools_win Namespace Reference

some Windows© classes and tools More...

## Namespaces
| Language
| an enum used to define the language in Windows© for spell check

## Classes
class | Font
| a class to convert a DOS© or Windows3© character in unicode More...

## Functions
static unsigned long | unicodeFromCP424 (unsigned char c)
static unsigned long | unicodeFromCP437 (unsigned char c)
static unsigned long | unicodeFromCP737 (unsigned char c)
static unsigned long | unicodeFromCP775 (unsigned char c)
static unsigned long | unicodeFromCP850 (unsigned char c)
| Take a character in CP850 encoding, convert it Courtesy of glib2 and iconv. More...
static unsigned long | unicodeFromCP852 (unsigned char c)
static unsigned long | unicodeFromCP855 (unsigned char c)
static unsigned long | unicodeFromCP856 (unsigned char c)
static unsigned long | unicodeFromCP857 (unsigned char c)
static unsigned long | unicodeFromCP860 (unsigned char c)
static unsigned long | unicodeFromCP861 (unsigned char c)
static unsigned long | unicodeFromCP862 (unsigned char c)
static unsigned long | unicodeFromCP863 (unsigned char c)
static unsigned long | unicodeFromCP864 (unsigned char c)
static unsigned long | unicodeFromCP865 (unsigned char c)
static unsigned long | unicodeFromCP866 (unsigned char c)
static unsigned long | unicodeFromCP869 (unsigned char c)
static unsigned long | unicodeFromCP874 (unsigned char c)
static unsigned long | unicodeFromCP1006 (unsigned char c)
static unsigned long | unicodeFromCP1250 (unsigned char c)
| Take a character in CP1250 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1251 (unsigned char c)
| Take a character in CP1251 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1252 (unsigned char c)
| Take a character in CP1252 encoding, convert it Courtesy of glib2 and iconv. More...
static unsigned long | unicodeFromCP1253 (unsigned char c)
| Take a character in CP1253 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1254 (unsigned char c)
| Take a character in CP1254 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1255 (unsigned char c)
| Take a character in CP1255 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1256 (unsigned char c)
| Take a character in CP1256 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1257 (unsigned char c)
| Take a character in CP1257 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1258 (unsigned char c)
| Take a character in CP1258 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...

## Detailed Description

some Windows© classes and tools

## Function Documentation

static unsigned long libwps_tools_win::unicodeFromCP1006 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP1250 | ( | unsigned char | c | ) |
| static

Take a character in CP1250 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP1251 | ( | unsigned char | c | ) |
| static

Take a character in CP1251 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP1252 | ( | unsigned char | c | ) |
| static

Take a character in CP1252 encoding, convert it Courtesy of glib2 and iconv.

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP1253 | ( | unsigned char | c | ) |
| static

Take a character in CP1253 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP1254 | ( | unsigned char | c | ) |
| static

Take a character in CP1254 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP1255 | ( | unsigned char | c | ) |
| static

Take a character in CP1255 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP1256 | ( | unsigned char | c | ) |
| static

Take a character in CP1256 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP1257 | ( | unsigned char | c | ) |
| static

Take a character in CP1257 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP1258 | ( | unsigned char | c | ) |
| static

Take a character in CP1258 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP424 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP437 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP737 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP775 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP850 | ( | unsigned char | c | ) |
| static

Take a character in CP850 encoding, convert it Courtesy of glib2 and iconv.

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP852 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP855 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP856 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP857 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP860 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP861 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP862 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP863 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP864 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP865 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP866 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP869 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

static unsigned long libwps_tools_win::unicodeFromCP874 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().